Main Page Groups Namespaces

# sigc::dereference_trait< T_type > Struct Template Reference

Deduces the base type of a reference or a pointer. More...

List of all members.

## Public Types
typedef void | type

## Detailed Description

### template <class T_type>
struct sigc::dereference_trait< T_type >

Deduces the base type of a reference or a pointer.

## Member Typedef Documentation

template <class T_type>

typedef void sigc::dereference_trait<T_type>::type

The documentation for this struct was generated from the following file:

- operator.h